Edit Trailing Stop

This API is used to edit a trailing stop task

Body Params
string
required

Limit order id

boolean

"true" means enabling trailing stop task

number

Sell ratio of the token

boolean

"true" means both the priority fee (priorityFee) and the bribery tip (jitoTip) fields are valid, and the system will execute the transaction based on the provided values (null indicates automatic priority fee / bribery tip). "false" means that in turbo mode, only the priority fee (priorityFee) is valid, while in anti-MEV, only the bribery tip (jitoTip) is valid, and the system will allocate them automatically

string

Priority Fee (SOL), valid for Solana, empty string means use auto priority fee

number

Extra added gas (Gwei), valid for EVM

number

When the base gas exceeds this value, no transaction will execute (Gwei), valid for EVM chains

boolean

"true" means enable anti-MEV mode (Solana & Ethereum & Bsc)

number

Bribery tip used by Anti-MEV (Solana), required when “jitoEnabled” or “customFeeAndTip” is true (null indicates automatic priority fee / bribery tip)

number

Task duration, max 432000000 (milliseconds)

boolean

"true"means that when a task expires and is not triggered, the token will be bought or sold at the real-time price at that time

boolean

"true"means that if the task has not been triggered by the time it expires, it will sell 100% at the real-time price at expiration.

boolean

"true" enables Anti-Spike mode using the 1-second mid-price as trigger price (not 100% guaranteed)

number

MAX slippage tolerance (0.00-1.00), when buying, it represents the difference between the actual price and the expected price. When selling, it represents the difference between the expected price and the actual price, the difference multiplier = 1/(1-slippage), 0.5 means a maximum of 2 times the accepted spread, 1 means unlimited spreads

integer

Number of concurrent nodes (1-3)

integer

Number of retries after failure (0-10)

Response

Language
Request
Response
Choose an example:
application/json